Bug 1004053 - Package Review: vicious - Framework for Awesome to create widgets based on LUA
Package Review: vicious - Framework for Awesome to create widgets based on LUA
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 15:30 EDT by Simon A. Erat
Modified: 2014-07-13 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: vicious-2.1.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-13 20:55:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Simon A. Erat 2013-09-03 15:30:26 EDT
Hello

As i use AwesomeWM for quite a while now, i thought that packaging vicious, which is required to handle the LUA widgets, would be a good idea, specialy as its GPL3.

SPEC:  http://sea.fedorapeople.org/review/vicious/vicious.spec
SRPM:  http://sea.fedorapeople.org/review/vicious/vicious-2.1.1-2.src.rpm
Comment 1 Björn "besser82" Esser 2013-09-03 16:50:38 EDT
Package has some severe issues :(

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

     ---> actual license is GPLv2+.  please fix.

[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.

     ---> %changelog MUST have the format:

	    DATE RealName <x@y.zzz> - %{version}-%{release}

[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

     ---> needed for el5, only.  please remove this.

[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

     ---> needed for el5, only.  please remove this.

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines

     ---> severe issues are present.  please fix.

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Dist tag is present

     ---> please append %{?dist} to Release.  This is needed to have
          different releases for each dist, e.g. fc18, fc19, ...

[!]: Buildroot is not present
     Note: Buildroot: present but not needed

     ---> needed for el5, only.  please remove this.

[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

     ---> needed for el5, only.  please remove this.

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

     ---> according to README there are some other things used:

	    - hddtemp        for the HDD Temperature widget type
	    - alsa-utils     for the Volume widget type
	    - wireless_tools for the Wireless widget type
	    - curl           for widget types accessing network resources

	  so yoou need to add:

	    Requires: alsa-utils
	    Requires: curl
	    Requires: hddtemp
	    Requires: wireless-tools

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> pkg is noarch.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vicious-2.1.1-2.noarch.rpm
          vicious-2.1.1-2.src.rpm
vicious.noarch: W: name-repeated-in-summary C Vicious
vicious.src: W: name-repeated-in-summary C Vicious

---> that's usualy a bad-pratice.  please find a better Summary.
     see my comments for some suggestion.

vicious.src: W: no-%build-section

---> see my comments below.

vicious.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 2)

---> please use one OR the other.

2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vicious
vicious.noarch: W: name-repeated-in-summary C Vicious
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
vicious (rpmlib, GLIBC filtered):
    awesome
    lua



Provides
--------
vicious:
    vicious



Source checksums
----------------
http://git.sysphere.org/vicious/snapshot/vicious-2.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : e540e75faac4f048c0617c1d9b56d09af97189cc381d1d5e0613b6dd4a680dd8
  CHECKSUM(SHA256) upstream package : e540e75faac4f048c0617c1d9b56d09af97189cc381d1d5e0613b6dd4a680dd8


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1004053
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Some additional comments to your spec:

  * You should keep some order and grouping inside the tags, e.g.

	Name:
	Version:
	Release:
	Summary:

	License:
	URL:
	Source0:

	BuildRequires:

	Requires:

	Provides:

	Obsoletes:


  * Summaries should start or repeat the pkgs name, suggestion:

	Summary:    Framework for Awesome to create widgets based on LUA


  * Simply untaring the source during %install is bad-pratice

	I'd suggest having allok at the sources before starting with spec
        and look what's needed to go where.  When you are sure where to put
	you should you mkdir -p / install -pm / cp -a to get the files to
	their proper locations.


  * Just having no %build is not recommended.  If %build is empty,
    I suggest:

	%build
	# noop


  * Consider running `sed -i -e "s/[ \t]*$//g" $spec` on your spec file,
    to clean up trailing whitespaces.


  * There are some files inside the source which should get install by %doc.

	%doc CHANGES LICENSE README* TODO

#####

Please the issues and I'll take another review on this.  :)

#####

Before I'm going to sponsor you, I'd like you to take 3 or 4 more informal reviews some packages of different "flavour"  :)
Comment 2 Simon A. Erat 2013-09-03 17:21:41 EDT
Thanks.
During other review's i've seen %build not required, so i thought i could remove it. :)

Should i panic for some of your nasty flavors? ;)

--
New Avail

SPEC:  http://sea.fedorapeople.org/review/vicious/vicious.spec
SRPM:  http://sea.fedorapeople.org/review/vicious/vicious-2.1.1-3.src.rpm
Comment 3 Simon A. Erat 2013-09-03 17:40:47 EDT
Sorry, srpm got a %dist tag now, forgot to apply the change:

SPEC:  http://sea.fedorapeople.org/review/vicious/vicious.spec
SRPM:  http://sea.fedorapeople.org/review/vicious/vicious-2.1.1-3.fc19.src.rpm
Comment 4 Björn "besser82" Esser 2013-09-03 17:48:09 EDT
(In reply to Simon A. Erat from comment #2)
> Thanks.
> During other review's i've seen %build not required, so i thought i could
> remove it. :)

It might be not required anymore, but may lead to some confusion.  Having
  %build
  # noop

doesn't hurt and makes things a bit clearer during review.

> Should i panic for some of your nasty flavors? ;)

No, I've been to shower on my birthday in July :P

#####

Package is fine now :)

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vicious-2.1.1-3.fc21.noarch.rpm
          vicious-2.1.1-3.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vicious
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
vicious (rpmlib, GLIBC filtered):
    alsa-utils
    awesome
    curl
    hddtemp
    lua
    wireless-tools



Provides
--------
vicious:
    vicious



Source checksums
----------------
http://git.sysphere.org/vicious/snapshot/vicious-2.1.1.tar.xz :
  CHECKSUM(SHA256) this package     : e540e75faac4f048c0617c1d9b56d09af97189cc381d1d5e0613b6dd4a680dd8
  CHECKSUM(SHA256) upstream package : e540e75faac4f048c0617c1d9b56d09af97189cc381d1d5e0613b6dd4a680dd8


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1004053
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Don't forget:

  Before I'm going to sponsor you, I'd like you to take 3 or 4 more informal
  reviews some packages of different kinds.

#####

APPROVED!!!
Comment 5 Simon A. Erat 2013-09-07 10:16:28 EDT
New Package SCM Request
=======================
Package Name: vicious
Short Description: Framework for Awesome to create widgets based on LUA
Owners: sea
Branches: f18 f19 f20
InitialCC: besser87
Comment 6 Björn "besser82" Esser 2013-09-07 10:19:36 EDT
Please be careful with flags ;)  Don't necer-ever change the review-flag!  You need to set the cvs-flag to (?).
Comment 7 Björn "besser82" Esser 2013-09-07 10:20:04 EDT
Now set the cvs-flags to (?), please ;)
Comment 8 Simon A. Erat 2013-09-07 10:35:34 EDT
New Package SCM Request
=======================
Package Name: vicious
Short Description: Framework for Awesome to create widgets based on LUA
Owners: sea
Branches: f18 f19 f20
InitialCC: besser82
Comment 9 Kevin Fenzi 2013-09-07 13:39:13 EDT
Git done (by process-git-requests).
Comment 10 Simon A. Erat 2013-09-07 17:09:44 EDT
Thank you Kevin

@ Björn: Could not wait ;)
http://koji.fedoraproject.org/koji/taskinfo?taskID=5909202
Comment 11 Fedora Update System 2013-09-12 11:22:28 EDT
vicious-2.1.1-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vicious-2.1.1-4.fc20
Comment 12 Fedora Update System 2013-09-12 11:24:49 EDT
vicious-2.1.1-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vicious-2.1.1-4.fc19
Comment 13 Simon A. Erat 2013-09-12 11:32:46 EDT
Change Package SCM Request
=======================
Package Name: vicious
Short Description: Modular widget library for awesome
Comment 14 Gwyn Ciesla 2013-09-12 11:47:38 EDT
Already exists, unsetting flag.
Comment 15 Fedora Update System 2013-09-12 12:29:03 EDT
vicious-2.1.1-4.fc20 has been pushed to the Fedora 20 testing repository.
Comment 16 Christopher Meng 2014-01-04 22:18:01 EST
Please update to 2.1.3 and push all testing updates to stable.
Comment 17 Björn "besser82" Esser 2014-06-11 04:59:34 EDT
Imported and build:

f19:  http://koji.fedoraproject.org/koji/buildinfo?buildID=537728
f20:  http://koji.fedoraproject.org/koji/buildinfo?buildID=537729


Updates are following.
Comment 18 Fedora Update System 2014-06-11 05:11:27 EDT
vicious-2.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vicious-2.1.3-1.fc19
Comment 19 Fedora Update System 2014-06-11 05:12:06 EDT
vicious-2.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vicious-2.1.3-1.fc20
Comment 20 Fedora Update System 2014-07-13 20:55:45 EDT
vicious-2.1.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.